Create Endpoint
POST
/api/v1/funding-schedules
const url = 'https://example.com/api/v1/funding-schedules';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","frequency":"example","repeat_every":1,"start_date":"2026-04-15","second_day_of_month":1,"weekend_shift":"none","is_default":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/funding-schedules \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "frequency": "example", "repeat_every": 1, "start_date": "2026-04-15", "second_day_of_month": 1, "weekend_shift": "none", "is_default": false }'Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
FundingScheduleOut
object
id
required
Id
integer
name
required
Name
string
frequency
required
Frequency
string
repeat_every
required
Repeat Every
integer
start_date
required
Start Date
string format: date
weekend_shift
required
Weekend Shift
string
is_default
required
Is Default
boolean
usage_count
Usage Count
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "usage_count": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}